Skip to main content
GET
/
v1
/
recordings
/
{recordingId}
cURL
curl --request GET \
  --url https://api.claap.io/v1/recordings/{recordingId} \
  --header 'X-Claap-Key: <api-key>'
{
  "result": {
    "recording": {
      "createdAt": "<string>",
      "durationSeconds": 123,
      "id": "<string>",
      "labels": [
        "<string>"
      ],
      "recorder": {
        "attended": true,
        "email": "<string>",
        "id": "<string>",
        "name": "<string>"
      },
      "state": "<string>",
      "thumbnailUrl": "<string>",
      "transcripts": [
        {
          "textUrl": "<string>",
          "url": "<string>",
          "isActive": true,
          "isTranscript": true,
          "langIso2": "<string>"
        }
      ],
      "url": "<string>",
      "video": {
        "url": "<string>"
      },
      "workspace": {
        "id": "<string>",
        "name": "<string>"
      },
      "actionItems": [
        {
          "items": [
            {
              "isChecked": true,
              "description": "<string>"
            }
          ],
          "langIso2": "<string>"
        }
      ],
      "companies": [
        {
          "id": "<string>",
          "name": "<string>"
        }
      ],
      "insightTemplates": [
        {
          "templateTitle": "<string>",
          "insights": [
            {
              "langIso2": "<string>",
              "sections": [
                {
                  "description": "<string>",
                  "title": "<string>"
                }
              ]
            }
          ]
        }
      ],
      "keyTakeaways": [
        {
          "langIso2": "<string>",
          "text": "<string>"
        }
      ],
      "outlines": [
        {
          "langIso2": "<string>",
          "text": "<string>"
        }
      ],
      "channel": {
        "id": "<string>",
        "name": "<string>"
      },
      "meeting": {
        "endingAt": "<string>",
        "participants": [
          {
            "attended": true,
            "email": "<string>",
            "id": "<string>",
            "name": "<string>"
          }
        ],
        "startingAt": "<string>",
        "conferenceUrl": "https://meet.google.com/aaa-bbbb-cccc"
      },
      "title": "<string>",
      "aiFields": [
        {
          "description": "<string>",
          "title": "<string>"
        }
      ],
      "crmInfo": {
        "deal": {
          "id": "<string>"
        }
      },
      "deal": {
        "id": "<string>",
        "name": "<string>"
      }
    }
  }
}
The shape of the response depends of the state of the recording: Empty, Uploaded, Ready or Failed. Set returnAiFields query parameter to true to retrieve the aiFields attribute containing the recording AI insights in a flat collection, instead of insightTemplates attribute containing insights grouped by AI templates. This parameter will become the default the 15th of June 2026, after which insightTemplates will be deprecated and omitted from all future payloads.

Authorizations

X-Claap-Key
string
header
required

Path Parameters

recordingId
string
required

Recording identifier

Query Parameters

returnAiFields
enum<string>
default:false

If set to true, the aiFields attribute is populated with the recording insights while the insightTemplates field is left empty. If omitted or set to false, aiFields is left empty and insightTemplates is populated with the recording insights grouped by templates.

Available options:
true,
1,
false,
0

Response

200 - application/json

Recording was successfully retrieved

result
object
required